The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Perl Expect and the expect binary are not installed!

Discussion in 'General Discussion' started by MeGaMASTER, Oct 25, 2005.

  1. MeGaMASTER

    MeGaMASTER Well-Known Member

    Joined:
    May 24, 2003
    Messages:
    49
    Likes Received:
    0
    Trophy Points:
    6
    On doing a cPanel update, I'm always having the following messages:

    Method: Hope and Pray (Warning! Perl Expect and the expect binary are not installed!)
    Unable to locate working expect! Please check your installation.
    Unable to locate working rdate! Please check your installation.

    Any solution? :confused:
     
  2. bamasbest

    bamasbest Well-Known Member

    Joined:
    Jan 10, 2004
    Messages:
    531
    Likes Received:
    0
    Trophy Points:
    16
    Never tried it myself, but you may want to look at /scripts/expectperlinstaller
     
  3. MeGaMASTER

    MeGaMASTER Well-Known Member

    Joined:
    May 24, 2003
    Messages:
    49
    Likes Received:
    0
    Trophy Points:
    6
    Thanks but the command does not exist.

     
  4. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    You need to install expect first from your OS vendor. Depnding on your OS, one of the following should work:

    yum install expect

    up2date -ui expect
     
Loading...

Share This Page